import pygame
import os

def cargar_imagen(nombre_imagen, colorkey=None):
	
	imagen = pygame.image.load(os.path.join("img", nombre_imagen))
	
	if nombre_imagen.endswith(".jpg"):
		imagen = imagen.convert()
	elif nombre_imagen.endswith(".png"):
		if colorkey != None:
			imagen.set_colorkey(colorkey)
		else:
			imagen = imagen.convert_alpha()
	
	return imagen

def cargar_sonido(nombre_sonido):
	
	sonido = pygame.mixer.Sound(os.path.join("sonido", nombre_sonido))
	
	return sonido

def cargar_fuente(nombre_fuente, medida):
	
	fuente = pygame.font.Font(os.path.join("fuentes", nombre_fuente), medida)
	
	return fuente
	
def actualizar_lista_movimientos(movimientos, direccion):
	
	anterior_nuevo = set([movimientos[0], direccion])
	
	if anterior_nuevo != set(['E', 'O']) and anterior_nuevo != set(['N', 'S']):
		movimientos.insert(0, direccion)
	else:
		movimientos.insert(0, movimientos[0])
	
	return movimientos
